module Test where

import Etext 

import Test.Tasty
import Test.Tasty.HUnit
import qualified Test.Tasty.QuickCheck as QC
import qualified Test.Tasty.SmallCheck as SC

import System.Random


qcTests = testGroup "QC tests"
   [ QC.testProperty "left @ leftEnd" $ (undefined :: QC.Property)
   , QC.testProperty "insert c & delL" $ (undefined :: QC.Property)
   , QC.testProperty "insert two texts" $ (undefined :: QC.Property)
   ]



run = defaultMain $ localOption (QC.QuickCheckTests 5000) $
      testGroup "All tests for Etext" [qcTests]
